Bug 1566586 - Occurred core dump with multi-object when quitted qemu during doing IO [rhel-7.5.z]
Summary: Occurred core dump with multi-object when quitted qemu during doing IO [rhel-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.4-Alt
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Stefan Hajnoczi
QA Contact: aihua liang
URL:
Whiteboard:
Depends On: 1480202
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 14:56 UTC by Oneata Mircea Teodor
Modified: 2018-05-10 16:06 UTC (History)
16 users (show)

Fixed In Version: qemu-kvm-rhev-2.10.0-21.el7_5.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1480202
Environment:
Last Closed: 2018-05-10 16:04:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1369 0 None None None 2018-05-10 16:06:08 UTC

Description Oneata Mircea Teodor 2018-04-12 14:56:17 UTC
This bug has been copied from bug #1480202 and has been proposed to be backported to 7.5 z-stream (EUS).

Comment 2 Miroslav Rezanina 2018-04-13 11:22:15 UTC
Fix included in qemu-kvm-rhev-2.10.0-21.el7_5.2

Comment 4 aihua liang 2018-04-16 09:36:40 UTC
Verified with qemu-kvm-rhev-2.10.0-21.el7_5.2, the problem has been resolved, so set its status to "verified".
Test version:
 qemu version: qemu-kvm-rhev-2.10.0-21.el7_5.2
 kernel version:3.10.0-862.el7.x86_64

Test steps:
 1. start guest with cmds:
    /usr/libexec/qemu-kvm \
-name 'avocado-vt-vm1'  \
-machine pc \
-vga std  \
-object iothread,id=iothread0 \
-object iothread,id=iothread1 \
-device virtio-scsi-pci,id=scsi0,bus=pci.0,addr=03,iothread=iothread0 \
-drive id=drive_image1,if=none,snapshot=on,aio=native,cache=none,format=qcow2,file=/home/kvm_autotest_root/images/rhel75-64-virtio.qcow2 \
-device scsi-hd,id=image1,drive=drive_image1,bus=scsi0.0,lun=0 \
-device virtio-net-pci,mac=9a:b2:b3:b4:b5:b6,id=iduCv1Ln,vectors=4,netdev=idKgexFk,bus=pci.0,addr=05  \
-netdev tap,id=idKgexFk,vhost=on \
-m 4096  \
-smp 4,maxcpus=4,cores=2,threads=1,sockets=2  \
-cpu host \
-vnc :1  \
-enable-kvm \
-monitor stdio \
-device virtio-scsi-pci,id=scsi1,bus=pci.0,addr=04,iothread=iothread1 \
-drive id=data_image1,if=none,werror=stop,rerror=stop,cache=none,format=qcow2,file=/home/test.qcow2 \
-device scsi-hd,id=data1,drive=data_image1,bus=scsi1.0,lun=0 \

2.Run dd in guest:
  dd if=/dev/zero of=/dev/sdb bs=4K count=1000000000 oflag=direct status=progress

3. During dd running, quit qemu
  (qemu)quit

Test result:
 QEMU quit successfully.

Comment 7 errata-xmlrpc 2018-05-10 16:04:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1369


Note You need to log in before you can comment on or make changes to this bug.